Authentication
Update User Profile
Update the authenticated user's profile details
PUT
/{locale}/shop/auth/profileUpdate the authenticated user's profile details
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/en/shop/auth/profile" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "message": "Profile updated successfully", "data": { "id": 1, "phone": "+37060000000", "email": "john.doe@example.com", "name": "John Doe", "role": "member", "email_verified_at": "2019-08-24T14:15:22Z", "phone_verified_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}